### File

`packages/components/eui-dropdown/dropdown-item/eui-dropdown-item.component.ts`

### Implements

`Highlightable`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-dropdown-item, [euiDropdownItem]`
imports | `EUI_ICON`
templateUrl | `./eui-dropdown-item.component.html`

### Index

###### Properties
elementRef role
###### Methods
Public click Public focus Public mouseenter Public setActiveStyles Public setInactiveStyles
###### Inputs
isActive isFocus subDropdown
###### HostBindings
attr.role attr.tabindex class
###### Accessors
tabIndex cssClasses

### Inputs

isActive
Type : `boolean`

isFocus
Type : `boolean`

subDropdown
Type : `EuiDropdownComponent`

### HostBindings

attr.role
Type : `string`
Default value : `'menuitem'`

attr.tabindex
Type : `number`

class
Type : `string`

### Methods

Public click
`click()`
Returns : `void`

Public focus
`focus(options?: FocusOptions)`
Parameters :
Name | Type | Optional
options | `FocusOptions` | Yes
Returns : `void`

Public mouseenter
`mouseenter()`
Returns : `void`

Public setActiveStyles
`setActiveStyles()`
Returns : `void`

Public setInactiveStyles
`setInactiveStyles()`
Returns : `void`

### Properties

elementRef
Default value : `inject(ElementRef)`

role
Type : `string`
Default value : `'menuitem'`
Decorators : `@HostBinding('attr.role')`

### Accessors

tabIndex
get `tabIndex()`

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""